Subject: RE: [manet] The Problem of Alien Node

From: "HyunWook Cha" <[email-masked]>
Date: Mon, 1 Sep 2003 12:10:03 +0900

Hi, Manish.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Manish Karir
> Sent: Saturday, August 30, 2003 2:03 AM
> To: [email-masked]
> Subject: Re: [manet] The Problem of Alien Node
> 
> 
> 
> 
> 
> I'm sorry but the point that you are trying to get across is not very 
> clear, and your terminology is quite confusing...
> perhaps it would become clearer if we knew what your references 
> were...[047-01] and [048-01].
> 
> when building a scenario that incorportes both terrestrial and ad hoc 
> nodes, it is best to use address in MANET_PREFIX to identify ad hoc 
> nodes.  this way the gateway knows which address are in manet 
> and which 
> are in terrestrial network.  These address spaces should be mutually 
> exclusive, or you are going to run into the problems that you 
> describe(atleast thats what I think you are talking about).
> 

Basically, I agree.
But, some application which is not specific to MANET and not being using
for only MANET can not give MANET_PREFIX address of the peer manet node
to the source node. Think about present p2p applications. In addition,
it is possible that peer manet node is also capable of MIPv6 and souce
node initiates session using HoA of peer node.   

> alternately, if you decide that the two address spaces can 
> intermingle, 
> then you need to run complex registration/deregistration protocols at 
> the gateway to inform the gateway which addresses(nodes) are in the 
> manet.(some hybrid form of MIP).

Right. 
I think this "registration" is necessary. 
Without the registaration information, in case of reactive routing
protocols, an Internet gateway can generate unnecessary MANET broadcast
RREQ for destination of downstream traffic packet, although the
destination node is not manet one. Or, the gateway can perform
unnecessary NDP stuff if destination is a manet node but is not
reachable because of partitions.
In the stateful address configuration for global addresses, a gateway
can maintain this information efficiently. 

HyunWook Cha

> 
> -manish
> 
> 
> 
> Yasser A. Lotfy wrote:
> > Hi,
> > 
> > I hope you read the attached (word) document which raises 
> awareness of 
> > the
> 
> > problem of alien node. Sorry I have to make it in MS-Word 
> since some 
> > of the symbols
> 
> > can not be done as text.
> > 
> > The problem is simply due to the confusion that takes place when 
> > gateways announce
> 
> > there ability to forward packets to generic addresses. Some local 
> > ad-hoc nodes may fall
> 
> > in this generic address range. Therefore, packets may 
> (incorrectly) be 
> > forwarded to GW.
> 
> > I hope
> > to get feedback if any solution currently exist to this problem. 
> > 
> > yasser
> > ---
> 
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet